AGB  ·  Datenschutz  ·  Impressum  







Anmelden
Nützliche Links
Registrieren

Jedi-Installation geht nicht

Ein Thema von NoName1 · begonnen am 8. Aug 2018 · letzter Beitrag vom 8. Aug 2018
Antwort Antwort
NoName1

Registriert seit: 8. Mär 2018
67 Beiträge
 
Delphi XE7 Professional
 
#1

Jedi-Installation geht nicht

  Alt 8. Aug 2018, 10:02
Guten Tag,
ich habe DelphiXE7 neu aufgesetzt. Bei der Installation der Jedi-Komponenten
werden die im Amhang angezeigten Fehler ausgegeben.
Welche Fehler mache ich beim Installieren?
Es muss doch zuerst die JCL und danach die JVCL istalliert werden.

Die letzten Zeilen im Log lauten wie folgt:
Zitat:
Komponenten\Jedi_Komponenten\jcl-2.7.0.5329\source\windows;D:\Delphi-Komponenten\Jedi_Komponenten\jcl-2.7.0.5329\source\vcl" -R"D:\Delphi-Komponenten\Jedi_Komponenten\jcl-2.7.0.5329\source\common;D:\Delphi-Komponenten\Jedi_Komponenten\jcl-2.7.0.5329\source\windows;D:\Delphi-Komponenten\Jedi_Komponenten\jcl-2.7.0.5329\source\vcl"
Embarcadero Delphi für Win32 Compiler-Version 28.0
Copyright (c) 1983,2014 Embarcadero Technologies, Inc.
bzip2.pas(4) Fehler: E2029 Deklaration erwartet, aber Dateiende gefunden
...failed.
Hat jemand einen Ratschlag und weiß zu helfen?

Mit Gruß NoName1
Miniaturansicht angehängter Grafiken
fehler-1.png   fehler-2.png  
  Mit Zitat antworten Zitat
API

Registriert seit: 18. Apr 2004
562 Beiträge
 
#2

AW: Jedi-Installation geht nicht

  Alt 8. Aug 2018, 10:07
Ich würde mal das "Daily packages" probieren:

http://jcl.sourceforge.net/daily/

http://jvcl.sourceforge.net/daily/
  Mit Zitat antworten Zitat
jbg

Registriert seit: 12. Jun 2002
3.449 Beiträge
 
Delphi 10.1 Berlin Professional
 
#3

AW: Jedi-Installation geht nicht

  Alt 8. Aug 2018, 12:11
Ich würde mal das "Daily packages" probieren:
Die werden zwar täglich neu gepackt, aber da sich bei der JCL und der JVCL eigentlich seit Jahren nicht mehr viel tut, kann man die auch fast als "Stable" bezeichnen.
  Mit Zitat antworten Zitat
Benutzerbild von KodeZwerg
KodeZwerg
Online

Registriert seit: 1. Feb 2018
2.174 Beiträge
 
Delphi 2010 Professional
 
#4

AW: Jedi-Installation geht nicht

  Alt 8. Aug 2018, 12:36
bzip2.pas(4) Fehler: E2029 Deklaration erwartet, aber Dateiende gefunden
Nur eine Vermutung, ich glaube das bei Dir diese Datei falsch kodiert gespeichert wurde.
Ein fix könnte sein diese Datei mit Notepad öffnen und als Plaintext/Ascii speichern.
Gruß vom KodeZwerg
Wenn ein unerwarteter Fehler aufgetreten ist, frage ich mich immer, welche Fehler erwartet wurden...
  Mit Zitat antworten Zitat
Rainer Wolff

Registriert seit: 25. Okt 2005
Ort: Bretten
221 Beiträge
 
Delphi 10.2 Tokyo Enterprise
 
#5

AW: Jedi-Installation geht nicht

  Alt 8. Aug 2018, 12:47
Meine JCL stammt von Github und trägt im Tab die Bezeichnung JCL 2.8 Testing Build 5677.

Ich würde mal die aktuellere Version verwenden.

https://github.com/project-jedi/jcl.git

bzw. im GetIt sind die Jedis doch jetzt auch drin
  Mit Zitat antworten Zitat
hhcm

Registriert seit: 12. Feb 2006
Ort: Wegberg
66 Beiträge
 
Delphi 10.2 Tokyo Professional
 
#6

AW: Jedi-Installation geht nicht

  Alt 8. Aug 2018, 13:19
Hat es denn schon mal jemand geschafft über GetIt die Jedi zu installieren?
Ich bin da schon locker 2-3x dran verzweifelt.
Chris
Gruß Chris
  Mit Zitat antworten Zitat
Benutzerbild von Jasocul
Jasocul

Registriert seit: 22. Sep 2004
Ort: Delmenhorst
971 Beiträge
 
Delphi 10.2 Tokyo Professional
 
#7

AW: Jedi-Installation geht nicht

  Alt 8. Aug 2018, 13:45
Hat es denn schon mal jemand geschafft über GetIt die Jedi zu installieren?
Ich bin da schon locker 2-3x dran verzweifelt.
Wenn ich mich richtig erinnere, ist es bei mir nur mit einer alten XE2-Version kollidiert. Ich hab dann in den Jedi-Verzeichnissen die Batch-Dateien manuell aufgerufen, damit alles deinstalliert und dann über die Batch-Dateien neu installiert.

Das gab dann keine Probleme mehr.
Peter
  Mit Zitat antworten Zitat
Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln

Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are aus

Gehe zu:

Impressum · AGB · Datenschutz · Nach oben
Alle Zeitangaben in WEZ +1. Es ist jetzt 13:06 Uhr.
Powered by vBulletin® Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2018 by Daniel R. Wolf